1
1

remove ChangeLog files from mc tree

Description by Sergei Trofimovich:

GNU ChangeLog? files are result of CVS stupidpity about changeset tracking.
Currently constantly updated ChangeLogs? diverge in different branches and cause collisions(!)
when 'git merge' (almost ANY SINGLE MERGE!).

Major changes can be described in NEWS file, minor changes can be autogenerated via 'git log'/'git shortlog'
and friends (if needed at all).
Этот коммит содержится в:
Slava Zanko 2009-05-27 01:08:55 +03:00
родитель 5bc2a579b3
Коммит abcd23406d
15 изменённых файлов: 5 добавлений и 37096 удалений

4390
ChangeLog

Разница между файлами не показана из-за своего большого размера Загрузить разницу

Просмотреть файл

@ -1,69 +0,0 @@
2007-11-02 Nerijus Baliunas <nerijus@users.sourceforge.net>
* mc.ext.in: Play .flv files.
2007-09-24 Pavel Tsekov <ptsekov@gmx.net>
* mc.hint: Update MC's homepage url.
* mc.hint.cs: Ditto.
* mc.hint.es: Ditto.
* mc.hint.hu: Ditto.
* mc.hint.it: Ditto.
* mc.hint.nl: Ditto.
* mc.hint.pl: Ditto.
* mc.hint.ru: Ditto.
* mc.hint.sr: Ditto.
* mc.hint.uk: Ditto.
* mc.hint.zh: Ditto.
2006-12-27 Pavel Roskin <proski@gnu.org>
* mc.ext.in: Call xmms consistently. Never preserve the
existing queue (it was done for wav, but not for mp3 files).
Preserving the queue is not a good idea if mc is used to move
the files around. Always redirect stdout and stderr to
/dev/null.
2006-06-22 Gabor Kiss <kissg@cdata.hu>
* mc.ext.in: ipkg package manager uses gzipped tars (.ipk).
2006-06-05 Nerijus Baliunas <nerijus@users.sourceforge.net>
* mc.ext.in: Loosen match for mailbox.
2006-05-28 Leonard den Ottolander <leonard den ottolander nl>
* mc.ext.in: Open mailboxes with mailfs.
2006-03-23 Marek Habersack <grendel@debian.org>
* mc.ext.in: Improve output of the View command for debian packages.
2006-03-18 Leonard den Ottolander <leonard den ottolander nl>
* mc-wrapper.sh.in: Don't use "$()" construct as it is not portable
to f.e. SunOS. Use backticks instead.
2006-03-15 Gergely Szasz <szaszg@hu.inter.net>
* mc.ext.in: Add support for Perl .pod files.
2006-02-28 Leonard den Ottolander <leonard den ottolander nl>
* mc-wrapper.sh.in: Handle user names with spaces.
* mc-wrapper.csh.in: Likewise.
2006-02-19 Nerijus Baliunas <nerijus@users.sourceforge.net>
* mc.ext.in: Open gimp in the background.
2006-01-29 Julian Mehnle <julian@mehnle.net>
* lib/mc.hint: Mention VIEWER environment variable.
2005-09-06 Roland Illig <roland.illig@gmx.de>
* mc.menu: %d is already quoted, so it must not be written "%d".
* mc.ext: nm(1) view is enabled for all ELF files, not just
files ending in .o.

Разница между файлами не показана из-за своего большого размера Загрузить разницу

Просмотреть файл

@ -12,4 +12,4 @@ libedit_a_SOURCES = \
editlock.c editlock.h syntax.c usermap.h usermap.c wordproc.c \
choosesyntax.c etags.c etags.h editcmd_dialogs.c editcmd_dialogs.h
EXTRA_DIST = ChangeLog
EXTRA_DIST =

Просмотреть файл

@ -31,7 +31,6 @@ ${underscore_version} shall be replaced by something like 4_6
Update the date and the version number in the .TH macro of the English
manual pages.
* Update the NEWS file to contain all user-visible changes.
* Fix wrong formatting in the ChangeLog files.
* Set the version number in configure.ac to "${dotted_version}".
Commit it.
* Update the translation files NOT to contain line number information.

Просмотреть файл

@ -16,7 +16,6 @@ for oldfile in $backup_files; do
case $newfile in
*.c) dflags="-u -p" ;;
*.po) dflags='-U 1 -I^#[:,.~]';;
*ChangeLog*) dflags="-U 1" ;;
*) dflags="-u" ;;
esac
diff $dflags -L "$oldlabel" -L "$newlabel" "$oldfile" "$newfile"

Просмотреть файл

@ -1,63 +0,0 @@
#! /usr/bin/perl -w
# Try to format ChangeLog in the current directory.
# Remove unnecessary spaces. Add spaces when needed.
use strict;
my $progname = "trim_changelog";
# Print message and exit (like "die", but without raising an exception).
# System error is added at the end.
sub error ($)
{
print STDERR "$progname: ERROR: " . shift(@_) . ": $!\n";
exit 1;
}
if ($#ARGV != -1) {
print STDERR "$progname accepts no arguments\n";
exit 1;
}
open (CHANGELOG, "< ChangeLog") || error ("cannot open ChangeLog");
open (CHNEW, "> ChangeLog.new") || error ("cannot open ChangeLog.new");
# Convert initial spaces in ChangeLog to tabs.
while (<CHANGELOG>) {
# Trim trailing whitespace.
s/\s*$//;
# Make sure there are exactly 2 spaces before the e-mail.
s/(^\w.*[^\s])\s+</$1 </;
# Make sure there are exactly 2 spaces after numeric dates.
s/(^[0-9]+-[0-9-]+)\s+/$1 /;
# Up to 7 spaces and tab or up to 8 spaces -> tab.
if (/^( {1,7}\t| {1,8})(.*)/) {
$_ = "\t$2";
}
print CHNEW "$_\n";
}
close (CHANGELOG);
close (CHNEW);
system ("cmp ChangeLog ChangeLog.new >/dev/null 2>&1");
if (($? >> 8) == 0) {
unlink ("ChangeLog.new") || error ("Cannot remove ChangeLog.new");
print "$progname: ChangeLog has not been changed\n";
exit 0;
}
rename ("ChangeLog", "ChangeLog.bak") ||
error ("Cannot rename ChangeLog to ChangeLog.bak");
rename ("ChangeLog.new", "ChangeLog") ||
error ("Cannot rename ChangeLog.new to ChangeLog");
print "$progname: ChangeLog has been changed\n";

Разница между файлами не показана из-за своего большого размера Загрузить разницу

Разница между файлами не показана из-за своего большого размера Загрузить разницу

Просмотреть файл

@ -74,7 +74,7 @@ else
mc_SOURCES = $(SRCS)
endif
EXTRA_DIST = ChangeLog OChangeLog man2hlp.c $(CHARSET_SRC)
EXTRA_DIST = man2hlp.c $(CHARSET_SRC)
# automated testing

Разница между файлами не показана из-за своего большого размера Загрузить разницу

Просмотреть файл

@ -1,208 +0,0 @@
2007-11-02 Vladimir Nadvornik <nadvornik@suse.cz>
* Syntax: Enable syntax highlighting for .hpp files.
2007-08-27 Pavel Tsekov <ptsekov@gmx.net>
* d.syntax: Add support for highlighting D language source files.
* Syntax: Likewise.
* Makefile.am: Likewise.
2007-08-23 Pavel Tsekov <ptsekov@gmx.net>
* tcl.syntax: Fix a typo. Noted by Curtis Doty.
2007-06-08 Roland Illig <roland.illig@gmx.de>
* Syntax: Files that contain "/lua" in the first line are
probably Lua source code.
* lua.syntax: Comments may also start with "#", at least in the
first line.
2007-06-04 Pavel Roskin <proski@gnu.org>
* diff.syntax: Don't use blue background for lines starting with
spaces and tabs. It stands out too much if the default editor
background is not blue. Use the default background. Remove an
obsolete comment.
2007-06-01 Roland Illig <roland.illig@gmx.de>
* lua.syntax: Strings can have embedded \" sequences.
2007-01-23 Andrew V. Samoilov <sav@bcs.zp.ua>
* syntax/sql.syntax: Add compile, merge, minus, offline, online,
rebuild, replace, truncate and while keywords.
2006-09-07 Jindrich Novy <jnovy@redhat.com>
* spec.syntax: Highlight "Requires(phase):" correctly.
2006-08-24 Jindrich Novy <jnovy@redhat.com>
* assembler.syntax: Add generic AMD64 registers set.
2006-07-14 Jindrich Novy <jnovy@redhat.com>
* spec.syntax: Properly recognize case-insensitive tags.
2006-07-13 Jindrich Novy <jnovy@redhat.com>
* spec.syntax: Display obsoleted rpm tags in white.
2006-06-22 Leonard den Ottolander <leonard den ottolander nl>
* c.syntax: Add colouring for labels.
2006-06-21 Leonard den Ottolander <leonard den ottolander nl>
* spec.syntax: Small readability fix.
2006-02-08 Leonard den Ottolander <leonard den ottolander nl>
* php.syntax: Added magic constants.
2006-01-29 Roland Illig <roland.illig@gmx.de>
* xml.syntax: Attribute names only reach upto the next "=", not
further.
2006-01-28 Roland Illig <roland.illig@gmx.de>
* sh.syntax: Only make $_ red if it appears as a whole word.
$_foo is a regular variable.
2006-01-27 Leonard den Ottolander <leonard den ottolander nl>
* Makefile.am, Syntax, css.syntax: Added css.syntax by Horvath
Peter Aron.
2006-01-27 Roland Illig <roland.illig@gmx.de>
* sh.syntax: Since $(...) isn't the same as ${...}, don't handle
them the same way. Instead, "$(", "(" and ")" are highlighted in
bright cyan. Fixes #6415.
2006-01-27 Barend <barend@puknet.puk.ac.za>
* pascal.syntax: Recognize keywords starting in upper case
as well as all caps keywords.
Highlight the operators `and', `or', `xor', `shl', `shr',
`div' and `mod' in cyan and not white.
Highlight operator `=' in cyan instead of lightgray.
2005-12-02 Jindrich Novy <jnovy@redhat.com>
* php.syntax: Fixed syntax errors.
2005-11-23 Jindrich Novy <jnovy@redhat.com>
* spec.syntax: Add %check highlighting.
2005-11-20 Leonard den Ottolander <leonard den ottolander nl>
* php.syntax: Reset the constants array in the script that
generates the keywords (remove duplicates). Also parse for
constants in tables as the type tagging is done inconsistently
in the online PHP docs.
2005-11-20 Leonard den Ottolander <leonard den ottolander nl>
* php.syntax: Missed the '::' method separator.
2005-11-20 Leonard den Ottolander <leonard den ottolander nl>
* php.syntax: Removed some cruft that slipped through.
2005-11-20 Leonard den Ottolander <leonard den ottolander nl>
* php.syntax: Updated against recent online documentation.
A/o many constants added.
2005-10-31 Pavel Roskin <proski@gnu.org>
* Syntax: Highlight Kbuild as a makefile.
* Syntax: Move makefile.syntax before pascal.syntax so that
Makefile.inc is highlighted as a makefile.
2005-09-05 Roland Illig <roland.illig@gmx.de>
* assembler.syntax: Assembler files may contain comments, too.
2005-08-21 Roland Illig <roland.illig@gmx.de>
* lisp.syntax: Recognize the character sequences \" and \\ in
strings.
2005-07-27 Leonard den Ottolander <leonard den ottolander nl>
* syntax.syntax: Keyword brightblue on black background.
* mail.syntax: Added keywords. Removed excessive quoting matches.
2005-07-13 Roland Illig <roland.illig@gmx.de>
* perl.syntax: Added a keyword to detect subroutine prototypes.
Sorted some keywords alphabetically. Added the "warning" pragma.
* ada95.syntax: Sorted keywords alphabetically.
2005-07-12 Roland Illig <roland.illig@gmx.de>
* perl.syntax: #! lines are marked as contexts instead of
keywords.
* sh.syntax: Likewise.
2005-07-05 Roland Illig <roland.illig@gmx.de>
* html.syntax: Attribute values may also be delimited by single
quotes.
* java.syntax: Cleaned up the header comment. Sorted keywords
alphabetically.
2005-07-04 Pavel Roskin <proski@gnu.org>
* makefile.syntax: Add all special targets of GNU make.
2005-07-03 Roland Illig <roland.illig@gmx.de>
* perl.syntax: The inside of qw(...) gets green.
* c.syntax: The bit-wise and, or, xor, not operators are
formatted in brightmagenta to make them distinguishable from the
boolean operators. (This also affects the address-of operator.)
2005-06-16 Mykolas Juraitis <mykolas.juraitis@gmail.com>
* octave.syntax: Support for Matlab multi line comments
(starting with '%{' and ending with '%}')
2005-06-06 Roland Illig <roland.illig@gmx.de>
* makefile.syntax: Added rules for BSD style Makefiles.
2005-05-31 Roland Illig <roland.illig@gmx.de>
* c.syntax: Added missing punctuation characters.
* diff.syntax: Lines starting with a <tab> character are
displayed like lines starting with a <space>. This is for the
cvs diff -T option.
* makefile.syntax: Highlight $$ (a literal $) in
brightcyan. This way $${var} is not highlighted as if it were a
Makefile variables. Also added useful comments before the contexts.
2005-05-24 Roland Illig <roland.illig@gmx.de>
* python.syntax: Added chunk from Savannah bug #7872. This
changes the color for """long strings""" from brown to green and
adds embedded highlighting for escape sequences.
* Syntax: Added a comment introducing the file format, based on
the current implementation in edit/syntax.c. Changed the
first-line regular expressions of sh, perl, python and ruby to
also match @SH@, @PERL@, @PYTHON@ and @RUBY@.
2005-05-24 Roland Illig <roland.illig@gmx.de>
* Syntax: Extended the patterns for #! interpreters to match
almost everything that looks like the interpreter.

Разница между файлами не показана из-за своего большого размера Загрузить разницу

Просмотреть файл

@ -47,7 +47,7 @@ NETFILES = tcputil.c fish.c ftpfs.c mcfs.c mcfsutil.c $(SMB_NETFILES)
NONETFILES = $(BASICFILES) $(UNDEL_FILES)
EXTRA_DIST = ChangeLog HACKING README README.fish \
EXTRA_DIST = HACKING README README.fish \
$(VFSHDRS) $(BASICFILES) $(NETFILES) $(SMBFILES) $(UNDELFILES)
dist-hook:

Просмотреть файл

@ -25,8 +25,6 @@ midnight.
Because I'm rather close to midnight, try to:
* Keep updating ChangeLog file.
* Keep the indentation as the rest of the code. Following could help
you with your friend emacs: